Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cometd.demo
Class CometdDemoServlet.EchoRPC

    java.lang.Object
      org.mortbay.cometd.BayeuxService
          org.cometd.demo.CometdDemoServlet.EchoRPC

Enclosing class:
  CometdDemoServlet

    public static class CometdDemoServlet.EchoRPC

extends BayeuxService

Constructor Summary
`CometdDemoServlet.EchoRPC(org.cometd.Bayeux bayeux)`

Method Summary
`java.lang.Object` | `doEcho(org.cometd.Client client, java.lang.Object data)`

Methods inherited from class org.mortbay.cometd.BayeuxService
`asyncDoInvoke, exception, getBayeux, getClient, getThreadPool, isSeeOwnPublishes, send, setSeeOwnPublishes, setThreadPool, subscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CometdDemoServlet.EchoRPC

    public CometdDemoServlet.EchoRPC(org.cometd.Bayeux bayeux)

Method Detail

### doEcho

    public java.lang.Object doEcho(org.cometd.Client client,
                                   java.lang.Object data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.